Public Member Functions

# AutoDeleteSmallVector< T, S > Class Template Reference

Simple vector template class, with automatic delete. More...

`#include <smallvec_type.hpp>`

Inheritance diagram for AutoDeleteSmallVector< T, S >:

## Public Member Functions
void | Clear ()
| Remove all items from the list.

## Detailed Description

### template<typename T, uint S>
class AutoDeleteSmallVector< T, S >

Simple vector template class, with automatic delete.

Note:
  There are no asserts in the class so you have to care about that you grab an item which is inside the list.

Parameters:

  | T | The type of the items stored, must be a pointer
  | S | The steps of allocation

Definition at line 340 of file smallvec_type.hpp.

The documentation for this class was generated from the following file:

- src/core/smallvec_type.hpp